<mat-toolbar class="mat-elevation-z5" [color]="!callService.showCallbar ? 'primary' : ''">
	<button mat-icon-button (click)="actionsService.sidenav?.toggle()">
		<mat-icon>menu</mat-icon>
	</button>

	<app-avatar [group]="group"></app-avatar>

	<span>{{ group?.partnerProfile?.displaynameDecrypted || group?.nameDecrypted }}</span>

	<div class="buttons">
		<button
			mat-icon-button
			routerLink="/connect/group/{{ group?.id }}/details"
			aria-label="Details"
			matTooltip="{{ 'simple.info' | translate }}"
		>
			<mat-icon>info</mat-icon>
		</button>
		<button
			*ngIf="!group || (!group?.left && group != this.callService.group)"
			mat-icon-button
			aria-label="Join call"
			matTooltip="{{ 'simple.call' | translate }}"
			(click)="callService.joinCall(group)"
			[disabled]="!group || liveService.socketStatus !== 'CONNECTED'"
		>
			<mat-icon>call</mat-icon>
		</button>
	</div>

	<mat-chip-list *ngIf="group && callService.getMembers(group?.id).length > 0 && group != this.callService.group">
		<mat-chip *ngFor="let member of callService.getMembers(group?.id)">
			{{ member.profile?.displaynameDecrypted }}
		</mat-chip>
	</mat-chip-list>
</mat-toolbar>
